Skip to main content

Get Request Status

POST /api/v1/get_response

This API allows the authenticated user to get the status of the already initiated request. If the asynchronous request is already completed, this API will return the response.

Headers​

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body​

Schema​

request_idstringrequiredUnique identifier for the asynchronous request.

Sample Request​

{
"request_id": "string"
}

Responses​

Webhook Events​

Schema​

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
resultobjectThe response payload.
messagenullA status or confirmation message from the server.

Sample Response​

{
"status": "string",
"result": {},
"message": null
}
POST/api/v1/get_response
x-api-key
x-api-secret